netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
ad_read.c File Reference
`#include <errno.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/param.h>`
`#include <atalk/adouble.h>`
`#include <atalk/ea.h>`
`#include <atalk/logger.h>`
`#include <atalk/util.h>`

## Functions
ssize_t | adf_pread (struct ad_fd *ad_fd, void *buf, size_t count, off_t offset)
ssize_t | ad_read (struct adouble *ad, const uint32_t eid, off_t off, char *buf, const size_t buflen)

## Function Documentation

## ◆ ad_read()

ssize_t ad_read | ( | struct adouble * | ad,
|  | const uint32_t | eid,
|  | off_t | off,
|  | char * | buf,
|  | const size_t | buflen )

## ◆ adf_pread()

ssize_t adf_pread | ( | struct ad_fd * | ad_fd,
|  | void * | buf,
|  | size_t | count,
|  | off_t | offset )